# frozen_string_literal: true
#######    ########    #######    ########    #######    #######    #######
#      / / / /    License    \ \ \ \     
#   Copyright © 2017-2022 Eugene Istomin
#   Copyright © 2017-2022 Memex.Team
#   Designed using Psygital®, Archestry®, Valuers.Stream®, Transfer.Games®
#   and others Memex.Team concepts & products.    
#   This code is covered by a Memex.Team Licensing policy (License.md)
#######    ########    #######    ########    #######    #######    #######
#      / / / /    Code Climate    \ \ \ \ 
#    Language = ruby
#    Indent = space; 2 chars;
#######    ########    #######    ########    #######    #######    #######

require 'rake'
#require "pathname"
#ENV["BUNDLE_GEMFILE"] = File.expand_path("Gemfile")
#require "bundler/setup"

#require "rubygems"

require 'active_support'
require 'active_support/core_ext'
#require 'active_support/autoload'
require 'neo4j_ruby_driver'
require 'active_graph'
#require 'openssl'


#Rake.add_rakelib '_bundle/ruby/3.1.0/gems/neo4j-9.6.2/lib/neo4j/tasks/'
#require File.expand_path('config/application', __dir__)

task :environment do
  ENV['RACK_ENV'] ||= 'development'
end
#load 'neo4j/tasks/migration.rake'


## rspec tasks
#require 'rspec/core'
#require 'rspec/core/rake_task'
#RSpec::Core::RakeTask.new(:spec)

# rubocop tasks
#require 'rubocop/rake_task'
#RuboCop::RakeTask.new(:rubocop)

#task default: %i[spec rubocop]

## grape-swagger tasks
#require 'grape-swagger/rake/oapi_tasks'
#GrapeSwagger::Rake::OapiTasks.new(::Api::Base)

## starter tasks
#require 'starter/rake/grape_tasks'
#Starter::Rake::GrapeTasks.new(::Api::Base)
